Bug 244568 - games/bsdgames update to 0.75
Summary: games/bsdgames update to 0.75
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Cy Schubert
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-03 10:02 UTC by Joachim Werner
Modified: 2020-05-13 02:19 UTC (History)
1 user (show)

See Also:


Attachments
fix for bsdgames to work with ncurses 6.2 (20.88 KB, patch)
2020-03-03 10:02 UTC, Joachim Werner
no flags Details | Diff
fix for bsdgames to work with ncurses 6.2 (20.32 KB, patch)
2020-03-03 10:10 UTC, Joachim Werner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joachim Werner 2020-03-03 10:02:15 UTC
Created attachment 212109 [details]
fix for bsdgames to work with ncurses 6.2

bsdgames failed to compile on current head (1300081) due to an ncurses version update. this patch fixes it.
Comment 1 Joachim Werner 2020-03-03 10:10:18 UTC
Created attachment 212110 [details]
fix for bsdgames to work with ncurses 6.2
Comment 2 Cy Schubert freebsd_committer 2020-04-08 18:22:13 UTC
Committed to my git repo. I'll dcommit it later today.
Comment 3 commit-hook freebsd_committer 2020-04-08 18:50:55 UTC
A commit references this bug:

Author: cy
Date: Wed Apr  8 18:50:05 UTC 2020
New revision: 531141
URL: https://svnweb.freebsd.org/changeset/ports/531141

Log:
  Update 0.7 --> 0.75, fixing ncurses 6.2 build issues.

  PR:		244568
  Submitted by:	Joachim Werner <jockl at pianojockl.org> (maintainer)
  Reported by:	Joachim Werner <jockl at pianojockl.org> (maintainer)
  Approved by:	maintainer (implicit)
  MFH:		2020Q2

Changes:
  head/games/bsdgames/Makefile
  head/games/bsdgames/distinfo
  head/games/bsdgames/files/patch-Makefile
  head/games/bsdgames/files/patch-Makefile.inc
  head/games/bsdgames/files/patch-adventure_adventure_Makefile
  head/games/bsdgames/files/patch-adventure_setup_Makefile
  head/games/bsdgames/files/patch-battlestar_BSDmakefile
  head/games/bsdgames/files/patch-boggle_boggle_extern.h
  head/games/bsdgames/files/patch-boggle_dictfiles_Makefile
  head/games/bsdgames/files/patch-boggle_mkdict_Makefile
  head/games/bsdgames/files/patch-boggle_mkindex_Makefile
  head/games/bsdgames/files/patch-canfield_cfscores_Makefile
  head/games/bsdgames/files/patch-colorbars_colorbars.c
  head/games/bsdgames/files/patch-hack_hack_Makefile
  head/games/bsdgames/files/patch-hack_makedefs_Makefile
  head/games/bsdgames/files/patch-phantasia_phantasia_Makefile
  head/games/bsdgames/files/patch-phantasia_setup_Makefile
  head/games/bsdgames/files/patch-primes_Makefile
  head/games/bsdgames/files/patch-sail_pathnames.h
  head/games/bsdgames/files/patch-snake_snscore_Makefile
Comment 4 Cy Schubert freebsd_committer 2020-05-13 02:19:30 UTC
Committed. Thanks.